- Cover network gas fees: Use native tokens like ETH to pay network gas fees for testnet transactions.
- Validate smart contract functionality: Experiment with funds flows in your smart contracts to validate behavior and support for specific digital assets.
Available faucets
Circle provides two faucets:- Public Faucet: Distributes USDC and EURC on supported blockchain test networks.
- Developer Console Faucet: Distributes native tokens like AVAX, ETH, and MATIC, and stablecoins like USDC. To access the Developer Console faucet, you must log in with your Circle developer account.
Public Faucet
Use the Public Faucet to send USDC and EURC to your testnet wallets. To request tokens, go to faucet.circle.com.Developer Console Faucet
Use the Developer Console Faucet to send USDC, AVAX, ETH, and MATIC to your testnet wallets generated using Circle’s developer platform. To request tokens, navigate to console.circle.com/faucet.Acquire a Wallet ID from Developer Console
Use the steps in the following sections to get the ID of the wallet to send tokens to.User-controlled wallets
- Navigate to User Controlled > Users.
- Click on a user to view the user details.
- Click on a wallet to view the wallet details. Confirm the network displayed matches the network you plan to send tokens to.
- Click the copy icon in the Wallet ID field.
Developer-controlled wallets
- Navigate to Dev Controlled > Wallets.
- Click on a wallet to view the wallet details. Confirm the network displayed matches the network you plan to send tokens to.
- Click the copy icon in the Wallet ID field.
Console wallets
- Navigate to Console Wallets.
- Click on a wallet to view the wallet details. Confirm the network displayed is the network you plan to send tokens to.
- Click the copy icon in the Wallet ID field.
Retrieve a wallet ID programmatically
To acquire a wallet ID programmatically, use an API request to GET /v1/w3s/wallets to retrieve a list of wallets in your account.Fund a wallet programmatically
To fund your wallets programmatically, submit a request to POST /v1/faucet/drips.Bash